commit: d69478e88c54f40c3f0693368f7aca7e3025fe7e
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Fri May 5 15:05:32 2017 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Fri May 5 15:05:32 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d69478e8
dev-python/pypax: Add python3_6
Package-Manager: Portage-2.3.5, Repoman-2.3.2
dev-python/pypax/pypax-0.9.2.ebuild | 10 +++++-----
dev-python/pypax/pypax-9999.ebuild | 6 +++---
2 files changed, 8 insertions(+), 8 deletions(-)
diff --git a/dev-python/pypax/pypax-0.9.2.ebuild
b/dev-python/pypax/pypax-0.9.2.ebuild
index 89223e34844..a9b84de4b0e 100644
--- a/dev-python/pypax/pypax-0.9.2.ebuild
+++ b/dev-python/pypax/pypax-0.9.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="5"
+EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
inherit distutils-r1
@@ -34,7 +34,7 @@ DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
${RDEPEND}"
src_compile() {
- cd scripts
+ cd scripts || die
unset PTPAX
unset XTPAX
use ptpax && export PTPAX="yes"
@@ -43,6 +43,6 @@ src_compile() {
}
src_install() {
- cd scripts
+ cd scripts || die
distutils-r1_src_install
}
diff --git a/dev-python/pypax/pypax-9999.ebuild
b/dev-python/pypax/pypax-9999.ebuild
index 2d86893885a..f2d9cbd356f 100644
--- a/dev-python/pypax/pypax-9999.ebuild
+++ b/dev-python/pypax/pypax-9999.ebuild
@@ -3,7 +3,7 @@
EAPI="5"
-PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
inherit distutils-r1
@@ -34,7 +34,7 @@ DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
${RDEPEND}"
src_compile() {
- cd scripts
+ cd scripts || die
unset PTPAX
unset XTPAX
use ptpax && export PTPAX="yes"
@@ -43,6 +43,6 @@ src_compile() {
}
src_install() {
- cd scripts
+ cd scripts || die
distutils-r1_src_install
}